<template>
  <article class="kit view page">
    <div class="container">
      <div class="line breadcrumb">
        <breadcrumb :breadcrumbs="breadcrumbs"/>
      </div>
      <slot name="title" />
      <div class="content">
        <div class="description">
          <div class="kit helptext">
            <slot/>
          </div>
          <scroll-to class="desktopshow"/>
        </div>
        <div class="navigation">
          <faq-nav-tree/>
        </div>
      </div>
      <flink
        href="/"
        class="ui button icon transparent">
        <i class="icon arr-left"/>
        Вернуться к автоконсьержу
      </flink>
    </div>
  </article>
</template>

<script>
import NavTree from '~/components/helper/faq/nav-tree';
import Breadcrumb from '~/components/blocks/breadcrumb';
import ScrollTo from '~/components/layout/scrollTo';

export default {
  components: {
    Breadcrumb,
    'faq-nav-tree': NavTree,
    ScrollTo,
  },
  props: {
    breadcrumbs: {
      type: Array,
      default: null,
    },
  },
};
</script>

<style scoped lang="scss">
  @import '~/assets/scss/modules/_helper-faq.scss';

  .scrollto {
    height: calc(100% + 4.5rem);
  }
</style>
